# Contributing

> This project will get much better with more people contributing to it.

Please contribute by opening issues to document problems or submitting pull requests to
fix them.  All improvements are welcome and appreciated. Consider contributing by:

 - Opening issues to document problem or confusing parts of existing labs.
 - Opening pull requests to make existing labs better.
 - Opening a pull request to add a new lab. (Please make sure it fits in with
   the existing scope & sequence of labs.)
 - Opening a pull request to improve the site's theme.
 - etc.

## Versioning
SwatchJS follows [Sematic Versioning](semver.org). The CI/CD system will automatically publish all merges to master to npm, so please make sure to explicitly version every PR using one of:

* `npm version patch` for bugfixes and non-functional changes (such as documentation updates)
* `npm version minor` when adding new functionality in a backwards-compatible fashion (eg new features)
* `npm version major` when making breaking changes

### Coding Style

 This project follows the [AirBnB Javascript Coding Guidelines](https://github.com/airbnb/javascript) using [ESLint](http://eslint.org/) settings.deBnb/blob/master/README.md#setup).
